changeset 1722:0bf35904cabc draft

Yank $STRIP from config (and STRIP=no weirdness) and just allow strip to fail.
author Rob Landley <rob@landley.net>
date Fri, 06 Mar 2015 15:11:38 -0600
parents a580ecd4a78a
children 11d767f3fbb1
files configure scripts/make.sh
diffstat 2 files changed, 3 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/configure	Wed Mar 04 07:29:57 2015 -0600
+++ b/configure	Fri Mar 06 15:11:38 2015 -0600
@@ -16,7 +16,6 @@
 [ -z "$LDOPTIMIZE" ] && LDOPTIMIZE="-Wl,--gc-sections"
 
 [ -z "$CC" ] && CC=cc
-[ -z "$STRIP" ] && STRIP=strip  # set STRIP=no to skip stripping entirely
 
 # If HOSTCC needs CFLAGS or LDFLAGS, just add them to the variable
 # ala HOSTCC="blah-cc --static"
--- a/scripts/make.sh	Wed Mar 04 07:29:57 2015 -0600
+++ b/scripts/make.sh	Fri Mar 06 15:11:38 2015 -0600
@@ -268,11 +268,10 @@
 [ $DONE -ne 0 ] && exit 1
 
 do_loudly $BUILD $LFILES $LINK || exit 1
-if [ "$STRIP" == no ]
+if ! do_loudly ${CROSS_COMPILE}strip toybox_unstripped -o toybox
 then
-  mv toybox_unstripped toybox
-else
-  do_loudly ${CROSS_COMPILE}${STRIP} toybox_unstripped -o toybox || exit 1
+  echo "strip failed, using unstripped" && cp toybox_unstripped toybox ||
+  exit 1
 fi
 # gcc 4.4's strip command is buggy, and doesn't set the executable bit on
 # its output the way SUSv4 suggests it do so.